function validateDate(value, colname)
{
	if(value == "")
		return [true, ""];
	var error = "<p class=\"mt-1\"><b>The date is incorrect or the format is wrong.</b></p><p class=\"mb-1\">You have to enter dates in '{{DATEFORMAT}}' format.<br>For example, <b>{{EGDATEFORMAT}}</b></p>";
	var d = Date.parseExact(value,"{{JSDATEFORMAT}}");
	if(d) {
		nd = new Date(d).toString("{{JSDATEFORMAT}}");
		if(nd == value)
			return [true,""];
	}
	return [false,error];
}

{{THEME}}
var theme_name = '{{THEMENAME}}';
var header_logo_image = '{{THEME:header.logo}}';
var header_logo_big_image = '{{THEME:header.logobig}}';

var app_root_url = '{{APPROOTURL}}';
var api_url_path = '{{APIURLPATH}}';

var grid_search_on_enter = {{GRIDSEARCHENTER}};
var grid_auto_search_delay = {{GRIDSEARCHDELAY}};
var grid_enable_inline_edit = {{GRIDENABLEINLEDIT}};

var date_columns_array = {{DCOLMODEL:date_columns_array}};

var custom01_columns_array = {{DCOLMODEL:custom01_columns_array}};

var custom02_columns_array = {{DCOLMODEL:custom02_columns_array}};

var custom03_columns_array = {{DCOLMODEL:custom03_columns_array}};

var http_columns_array = {{DCOLMODEL:http_columns_array}};

var registrar_columns_array = {{DCOLMODEL:registrar_columns_array}};

var network_columns_array = {{DCOLMODEL:network_columns_array}};

var sitepop_columns_array = {{DCOLMODEL:sitepop_columns_array}};

var notes_columns_array = {{DCOLMODEL:notes_columns_array}};

var ipdata_columns_array = {{DCOLMODEL:ipdata_columns_array}};

var subdomaingrid_columns_array = {{SDCOLMODEL:subdomaingrid_columns_array}};

var sslgrid_columns_array = {{SDCOLMODEL:sslgrid_columns_array}};

{{REGALIASES}}
{{USERINFOJS}}